// Zivoty.cpp: implementation of the Zivoty class.
//
//////////////////////////////////////////////////////////////////////

#include <afxwin.h>
#include "defines.h"
#include "rc\resource.h"
#include "ufo.h"
#include "Zivoty.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Zivoty::Zivoty()
{
	m_p1 = new CBitmap;
	m_p1->LoadBitmap(IDB_ZIVOTY_1);

	m_p2 = new CBitmap;
	m_p2->LoadBitmap(IDB_ZIVOTY_2);

}

Zivoty::~Zivoty()
{
	delete m_p1;
	delete m_p2;
}

void Zivoty::Test(Ufo1 *pl1, Ufo2 *pl2, Meteor *meteor)
{
	int an = 0;
	if (pl1->p_ufo.x > pl2->p_ufo.x) an = 1;

	pl1->Test(pl2,an);
	pl2->Test(pl1,an);
	meteor->Test(pl1,an);
	meteor->Test(pl2,an);

}

void Zivoty::Zobraz(CDC *dc, CRect rect, CBitmap *pozadi, int lives1, int lives2)
{
	static int l_lives1 = 0;
	static int l_lives2 = 0;

	CDC cdc;
	int x;
	cdc.CreateCompatibleDC(dc);

	// animace zivotu
	if (l_lives1 + 10 < lives1) l_lives1 += 50;
	else if (l_lives1 - 10 > lives1) l_lives1 -= 20;
		else l_lives1 = lives1;

	if (l_lives2 + 10 < lives2) l_lives2 += 50;
	else if (l_lives2 - 10 > lives2) l_lives2 -= 20;
		else l_lives2 = lives2;

		

	CBitmap *p_cdc = cdc.SelectObject(m_p1);
	if (l_lives1 > 0) {
		x = 290*l_lives1/LIVES;
		dc->BitBlt(0,0,x,LIVES_Y,&cdc,290-x,0,SRCCOPY);
	}

	if (l_lives2 > 0) {
		x = 290*l_lives2/LIVES;
		cdc.SelectObject(m_p2);
		dc->BitBlt(640-x,0,x, LIVES_Y, &cdc, 0, 0, SRCCOPY);
	}

	cdc.SelectObject(p_cdc);
}



