#include <afxwin.h>
#include <stdio.h>
#include <wingdi.h> // API prace s bitmapami

#include "defines.h"
#include "rc\resource.h"
#include "ufo.h"

// ------------------------------- UFO 


void Ufo::Move(CPoint enemy) {
	// hraje pocitac
	if( ((abs(p_ufo.x - p_dest.x)<SPEED && abs(p_ufo.y - p_dest.y)<SPEED) || (moved == false))&&
		 (automat == true)) SetDestination();

	p_ufo_old = p_ufo;
	if (lives > 0) {
	// presun ufa - X
	if ((p_ufo.x < p_dest.x)&&(p_ufo.x < kraj.right)&&
		((abs(enemy.x-p_ufo.x) > BMPX+2*SPEED)||(enemy.x<p_ufo.x)||(abs(enemy.y-p_ufo.y) > BMPY+SPEED))) p_ufo.x+=SPEED;
   if ((p_ufo.x > p_dest.x)&&(p_ufo.x > kraj.left)&&
		((abs(enemy.x-p_ufo.x) > BMPX+2*SPEED)||(enemy.x>p_ufo.x)||(abs(enemy.y-p_ufo.y) > BMPY+SPEED))) p_ufo.x-=SPEED;
   // - Y
	if ((p_ufo.y < p_dest.y)&&(p_ufo.y < kraj.bottom)&&
		((abs(enemy.y-p_ufo.y) > BMPY+2*SPEED)||(enemy.y<p_ufo.y)||(abs(enemy.x-p_ufo.x) > BMPX+SPEED))) p_ufo.y+=SPEED;
	if ((((p_ufo.y > p_dest.y)&&(p_ufo.y > kraj.top+SPEED))||(p_ufo.y > kraj.bottom))&&
		((abs(enemy.y-p_ufo.y) > BMPY+2*SPEED)||(enemy.y>p_ufo.y)||(abs(enemy.x-p_ufo.x) > BMPX+SPEED))) p_ufo.y-=SPEED; 

	if(p_ufo.y < kraj.top+SPEED) p_ufo.y = kraj.top+SPEED;
	// aby kdyz hrajou dva pocitace se nezasekly
	if (p_ufo_old == p_ufo) moved = false;
	else moved = true;
	} // 	if (lives > 0) 


	if (auto_shoot < SHOOT_TIME) auto_shoot++;

	// presun strel
	for (int i = 0; i< 5; i++) 
		if (Is_shoot_valid(strely[i])) 
		{
			strely[i].place.x += strely[i].speed_x;
			strely[i].place.y += strely[i].speed_y;
		}
		else if((lives > 0)&&(automat==true)) {
		// streleni
			if (abs(p_ufo.x-enemy.x)/SHOOT_SPEED > abs(p_ufo.y - enemy.y)/SPEED_VERTICAL) st_task = TASK_LR;
				else if (p_ufo.y < enemy.y) st_task = TASK_DN;
					  else st_task = TASK_UP;
		}
	
	// strelba
	if (st_task == TASK_LR) Shoot();
	if (st_task == TASK_DN) ShootDn();
	if (st_task == TASK_UP) ShootUp();
	st_task = TASK_NO;


}

bool Ufo::Is_shoot_valid(Strela strela)
{
/*	if ((strela.place.x > PLOCHAX+ST_X_MAX) || (strela.place.x < -ST_X_MAX) ||
		(strela.place.y > PLOCHAY) || (strela.place.y <= 0)) return false;
	else return true;
	*/
	if(strela.place.x != INVALIDE_X_POINT) return true;
	else return false;
}


void Ufo::Shoot() {
	
	if ((auto_shoot < SHOOT_TIME)||(lives < 0)) return;

	int i = 0;
	for(i = 0; i < 5; i++) if((abs(strely[i].place.x - p_ufo.x) < 2*STX+BMPX/2)&&(abs(p_ufo.y-strely[i].place.y)<2*STY)) return;

	i = 0;
	while((i < 5)&& Is_shoot_valid(strely[i])) i++;
	if (Is_shoot_valid(strely[i])) return;
	
	strely[i].black_bmp = 1;
	strely[i].color_bmp = 0;
	strely[i].speed_x = speed_shoot;
	strely[i].speed_y = 0;
	strely[i].bmpx = STX;
	strely[i].bmpy = STY;
	strely[i].demage_x = DEMAGE_X;
	strely[i].demage_y = DEMAGE_Y;
	strely[i].place.y = p_ufo.y;
	strely[i].place.x = p_ufo.x + (speed_shoot/abs(speed_shoot)) * BMPX/2  + speed_shoot;
	strely[i].place_old = strely[i].place;
	auto_shoot = 0;
}

void Ufo::ShootUp() {

	if ((auto_shoot < SHOOT_TIME)||(lives < 0)) return;

	int i;

	// moc nahore nelze strilet
	if (p_ufo.y - STY_UP/2 - BMPY/2 <= HLADINA_NAHORE) return;
	// aby nebylo vice strel v sobe
	for(i = 0; i < 5; i++) if((abs(p_ufo.y - strely[i].place.y) < 2*STY_UP+BMPY/2)&&(p_ufo.y > strely[i].place.y)&&(abs(p_ufo.x-strely[i].place.x)<STX_UP)) return;
	
	i = 0;
	while((i < 5)&& Is_shoot_valid(strely[i])) i++;
	if (Is_shoot_valid(strely[i])) return;
	
	strely[i].black_bmp = 3;
	strely[i].color_bmp = 2;
	strely[i].speed_x = 0;
	strely[i].speed_y = SPEED_UP;
	strely[i].bmpx = STX_UP;
	strely[i].bmpy = STY_UP;
	strely[i].demage_x = DEMAGE_X_UP;
	strely[i].demage_y = DEMAGE_Y_UP;
	strely[i].place.y = p_ufo.y - BMPY/2 - 1 + SPEED_UP;
	strely[i].place.x = p_ufo.x;
	strely[i].place_old = strely[i].place;
	auto_shoot = 0;
}


void Ufo::ShootDn() {

	if ((auto_shoot < SHOOT_TIME)||(lives < 0)) return;

	// aby nebylo vice strel v sobe
	int i;
	for(i = 0; i < 5; i++) if((strely[i].place.y - p_ufo.y < 2*STY_DN+BMPY/2+SPEED_DN)&&(p_ufo.y < strely[i].place.y)&&(abs(p_ufo.x-strely[i].place.x)<STX_DN)) return;

	i = 0;
	while((i < 5)&& Is_shoot_valid(strely[i])) i++;
	if (Is_shoot_valid(strely[i])) return;
	
	strely[i].black_bmp = 5;
	strely[i].color_bmp = 4;
	strely[i].speed_x = 0;
	strely[i].speed_y = SPEED_DN;
	strely[i].bmpx = STX_DN;
	strely[i].bmpy = STY_DN;
	strely[i].demage_x = DEMAGE_X_DN;
	strely[i].demage_y = DEMAGE_Y_DN;
	strely[i].place.y = p_ufo.y + BMPY/2 + SPEED_DN;
	strely[i].place.x = p_ufo.x;
	strely[i].place_old = strely[i].place;
	auto_shoot = 0;
}

void Ufo::SetDestination() {
	p_dest.x = Nahoda(kraj.right-kraj.left) + kraj.left;
	p_dest.y = Nahoda(kraj.bottom-kraj.top) + kraj.top;
	return;
}

void Ufo::Zobraz(CBitmap *Pozadi, RECT rect, CDC *pDC) {
	CDC dc;
	
	dc.CreateCompatibleDC(pDC);
	
	CBitmap *p_dc = dc.SelectObject(m_pUfo_black);

	//::MaskBlt(*pDC,p_ufo.x-BMPX/2,p_ufo.y-BMPY/2,BMPX,BMPY,dc,0,0,*m_pUfo_black,0,0,MAKEROP4(SRCAND,SRCPAINT));
//	pDC->MaskBlt(p_ufo.x-BMPX/2,p_ufo.y-BMPY/2,BMPX,BMPY,&dc,0,0,*m_pUfo_black,0,0,MAKEROP4(SRCPAINT,SRCAND));
   pDC->BitBlt(p_ufo.x-BMPX/2,p_ufo.y-BMPY/2,BMPX,BMPY,&dc,0,0,SRCAND);
	dc.SelectObject(m_pUfo);
	pDC->BitBlt(p_ufo.x-BMPX/2,p_ufo.y-BMPY/2,BMPX,BMPY,&dc,0,0,SRCPAINT);
	
	dc.SelectObject(p_dc);
}

void Ufo::Zobraz_strely(CBitmap *Pozadi, RECT rect, CDC *pDC)
{
	CDC dc;
	CPoint point;
	int j;

	dc.CreateCompatibleDC(pDC);

	CBitmap *p_dc = dc.SelectObject(vlozit);


	for (int i = 0; i < 5; i++)
		if (Is_shoot_valid(strely[i])) {
			if (strely[i].speed_x >= 0) j = 0;
			else j = 1;
			
			
			point.x = strely[i].place.x - strely[i].bmpx/2;
			point.y = strely[i].place.y - strely[i].bmpy/2;
			
	
			dc.SelectObject(m_pUfo_shoot[j][strely[i].black_bmp]);
			pDC->BitBlt(point.x,point.y,strely[i].bmpx,strely[i].bmpy,&dc,0,0,SRCAND);
		
			dc.SelectObject(m_pUfo_shoot[j][strely[i].color_bmp]);
			pDC->BitBlt(point.x,point.y,strely[i].bmpx,strely[i].bmpy,&dc,0,0,SRCPAINT);


			strely[i].place_old = strely[i].place;

		}

	dc.SelectObject(p_dc);

}


// ------------------------------- UFO 1


Ufo1::Ufo1() {
	
	int i;

	
	kraj.top = LIVES_Y+BMPY;
	kraj.left = BMPX;
	kraj.right = PLOCHAX-BMPX;
	kraj.bottom = LETOVA_HLADINA;

	p_ufo.x = 175;
	p_ufo.y = 463;

	p_dest.x = 175;
	p_dest.y = 280;


	// normalni lod
	for(i = 0;i < 12; i++){
		m_animace[0][i] = new CBitmap;
		m_animace[1][i] = new CBitmap;
		m_animace_black[0][i] = new CBitmap;
		m_animace_black[1][i] = new CBitmap;
	}
	m_animace[0][0]->LoadBitmap(IDB_UFO1_0);
	m_animace[0][1]->LoadBitmap(IDB_UFO1_1);
	m_animace[0][2]->LoadBitmap(IDB_UFO1_2);
	m_animace[0][3]->LoadBitmap(IDB_W1);
	m_animace[0][4]->LoadBitmap(IDB_W2);
	m_animace[0][5]->LoadBitmap(IDB_W3);
	m_animace[0][6]->LoadBitmap(IDB_W4);
	m_animace[0][7]->LoadBitmap(IDB_W5);
	m_animace[0][8]->LoadBitmap(IDB_W6);
	m_animace[0][9]->LoadBitmap(IDB_W7);
	m_animace[0][10]->LoadBitmap(IDB_W8);

	m_animace[1][0]->LoadBitmap(IDB_UFO1_0_2);
	m_animace[1][1]->LoadBitmap(IDB_UFO1_1_2);
	m_animace[1][2]->LoadBitmap(IDB_UFO1_2_2);
	m_animace[1][3]->LoadBitmap(IDB_W1);
	m_animace[1][4]->LoadBitmap(IDB_W2);
	m_animace[1][5]->LoadBitmap(IDB_W3);
	m_animace[1][6]->LoadBitmap(IDB_W4);
	m_animace[1][7]->LoadBitmap(IDB_W5);
	m_animace[1][8]->LoadBitmap(IDB_W6);
	m_animace[1][9]->LoadBitmap(IDB_W7);
	m_animace[1][10]->LoadBitmap(IDB_W8);

	
	m_animace_black[0][0]->LoadBitmap(IDB_UFO1_1B);
	m_animace_black[0][1]->LoadBitmap(IDB_UFO1_1B);
	m_animace_black[0][2]->LoadBitmap(IDB_UFO1_1B);
	m_animace_black[0][3]->LoadBitmap(IDB_W1_B);
	m_animace_black[0][4]->LoadBitmap(IDB_W2_B);
	m_animace_black[0][5]->LoadBitmap(IDB_W3_B);
	m_animace_black[0][6]->LoadBitmap(IDB_W4_B);
	m_animace_black[0][7]->LoadBitmap(IDB_W5_B);
	m_animace_black[0][8]->LoadBitmap(IDB_W6_B);
	m_animace_black[0][9]->LoadBitmap(IDB_W7_B);
	m_animace_black[0][10]->LoadBitmap(IDB_W8_B);

	m_animace_black[1][0]->LoadBitmap(IDB_UFO1_1_2_B);
	m_animace_black[1][1]->LoadBitmap(IDB_UFO1_1_2_B);
	m_animace_black[1][2]->LoadBitmap(IDB_UFO1_1_2_B);
	m_animace_black[1][3]->LoadBitmap(IDB_W1_B);
	m_animace_black[1][4]->LoadBitmap(IDB_W2_B);
	m_animace_black[1][5]->LoadBitmap(IDB_W3_B);
	m_animace_black[1][6]->LoadBitmap(IDB_W4_B);
	m_animace_black[1][7]->LoadBitmap(IDB_W5_B);
	m_animace_black[1][8]->LoadBitmap(IDB_W6_B);
	m_animace_black[1][9]->LoadBitmap(IDB_W7_B);
	m_animace_black[1][10]->LoadBitmap(IDB_W8_B);

	m_pUfo = m_animace[0][0];
	m_pUfo_black = m_animace_black[0][0];

	
	// strely
	for(i = 0; i < 6; i++) {
	m_pUfo_shoot[0][i] = new CBitmap;
	m_pUfo_shoot[1][i] = new CBitmap;
	}
	m_pUfo_shoot[0][0]->LoadBitmap(IDB_STRELA1);
	m_pUfo_shoot[0][1]->LoadBitmap(IDB_STRELA1_BLACK);
	m_pUfo_shoot[1][0]->LoadBitmap(IDB_STRELA1_2);
	m_pUfo_shoot[1][1]->LoadBitmap(IDB_STRELA1_BLACK_2);

	m_pUfo_shoot[0][2]->LoadBitmap(IDB_STRELA1_UP);
	m_pUfo_shoot[0][3]->LoadBitmap(IDB_STRELA1_UP_B);
	m_pUfo_shoot[1][2]->LoadBitmap(IDB_STRELA1_UP);
	m_pUfo_shoot[1][3]->LoadBitmap(IDB_STRELA1_UP_B);

	m_pUfo_shoot[0][4]->LoadBitmap(IDB_STRELA1_DN);
	m_pUfo_shoot[0][5]->LoadBitmap(IDB_STRELA1_DN_B);
	m_pUfo_shoot[1][4]->LoadBitmap(IDB_STRELA1_DN);
	m_pUfo_shoot[1][5]->LoadBitmap(IDB_STRELA1_DN_B);


	// zasahy
	for (i = 0; i < 3; i++) {
		m_hit[0][i] = new CBitmap;
		m_hit[1][i] = new CBitmap;
	}
	m_hit[0][0]->LoadBitmap(IDB_UFO1_H0);
	m_hit[1][0]->LoadBitmap(IDB_UFO1_H0_2);
	m_hit[0][1]->LoadBitmap(IDB_UFO1_H1);
	m_hit[1][1]->LoadBitmap(IDB_UFO1_H1_2);
	m_hit[0][2]->LoadBitmap(IDB_UFO1_H2);
	m_hit[1][2]->LoadBitmap(IDB_UFO1_H2_2);

	for (i = 0; i < 5; i++) strely[i].place.x = -20;
	speed_shoot = SHOOT_SPEED;

}

Ufo1::~Ufo1() {
	for(int i = 0;i < 12; i++){
		delete m_animace[0][i];
		delete m_animace[1][i];
		delete m_animace_black[0][i];
		delete m_animace_black[1][i];
	}
	
	for(i = 0; i < 6; i++) {
	delete m_pUfo_shoot[0][i];
	delete m_pUfo_shoot[1][i];
	}

	for (i = 0; i < 3; i++) {
		delete m_hit[0][i];
		delete m_hit[1][i];
	}


	if(automat == true) AfxGetApp()->WriteProfileInt("Hra","PL1",1);
	else AfxGetApp()->WriteProfileInt("Hra","PL1",0);

}

void Ufo1::Reset()
{

	lives = LIVES;

	p_ufo.x = 190;
	p_ufo.y = 458;

	p_dest.x = 175;
	p_dest.y = 280;

	for (int i = 0; i < 5; i++) {
		strely[i].place.x = INVALIDE_X_POINT;
		strely[i].place.y = 0;
	};

	moved = false;

	m_pUfo = m_animace[0][0];
	m_pUfo_black = m_animace_black[0][0];

	auto_shoot = SHOOT_TIME;
}


// ------------------------------- UFO 2

Ufo2::Ufo2() {
	int i;
	

	kraj.top = LIVES_Y+BMPY;
	kraj.left = BMPX;
	kraj.right = PLOCHAX-BMPX;
	kraj.bottom = LETOVA_HLADINA;

	p_ufo.x = 436;
	p_ufo.y = 460;

	p_dest.x = 436;
	p_dest.y = 280;

	for(i = 0;i < 12; i++){
		m_animace[0][i] = new CBitmap;
		m_animace[1][i] = new CBitmap;
		m_animace_black[0][i] = new CBitmap;
		m_animace_black[1][i] = new CBitmap;
	}
	m_animace[0][0]->LoadBitmap(IDB_UFO2_0);
	m_animace[0][1]->LoadBitmap(IDB_UFO2_1);
	m_animace[0][2]->LoadBitmap(IDB_UFO2_2);
	m_animace[0][3]->LoadBitmap(IDB_R1);
	m_animace[0][4]->LoadBitmap(IDB_R2);
	m_animace[0][5]->LoadBitmap(IDB_R3);
	m_animace[0][6]->LoadBitmap(IDB_R4);
	m_animace[0][7]->LoadBitmap(IDB_R5);
	m_animace[0][8]->LoadBitmap(IDB_R6);
	m_animace[0][9]->LoadBitmap(IDB_R7);
	m_animace[0][10]->LoadBitmap(IDB_R8);

	m_animace[1][0]->LoadBitmap(IDB_UFO2_0_2);
	m_animace[1][1]->LoadBitmap(IDB_UFO2_1_2);
	m_animace[1][2]->LoadBitmap(IDB_UFO2_2_2);
	m_animace[1][3]->LoadBitmap(IDB_R1);
	m_animace[1][4]->LoadBitmap(IDB_R2);
	m_animace[1][5]->LoadBitmap(IDB_R3);
	m_animace[1][6]->LoadBitmap(IDB_R4);
	m_animace[1][7]->LoadBitmap(IDB_R5);
	m_animace[1][8]->LoadBitmap(IDB_R6);
	m_animace[1][9]->LoadBitmap(IDB_R7);
	m_animace[1][10]->LoadBitmap(IDB_R8);

	m_animace_black[0][0]->LoadBitmap(IDB_UFO2_0B);
	m_animace_black[0][1]->LoadBitmap(IDB_UFO2_1B);
	m_animace_black[0][2]->LoadBitmap(IDB_UFO2_2B);
	m_animace_black[0][3]->LoadBitmap(IDB_R1_B);
	m_animace_black[0][4]->LoadBitmap(IDB_R2_B);
	m_animace_black[0][5]->LoadBitmap(IDB_R3_B);
	m_animace_black[0][6]->LoadBitmap(IDB_R4_B);
	m_animace_black[0][7]->LoadBitmap(IDB_R5_B);
	m_animace_black[0][8]->LoadBitmap(IDB_R6_B);
	m_animace_black[0][9]->LoadBitmap(IDB_R7_B);
	m_animace_black[0][10]->LoadBitmap(IDB_W8_B);

	m_animace_black[1][0]->LoadBitmap(IDB_UFO2_0_2_B);
	m_animace_black[1][1]->LoadBitmap(IDB_UFO2_0_2_B);
	m_animace_black[1][2]->LoadBitmap(IDB_UFO2_0_2_B);
	m_animace_black[1][3]->LoadBitmap(IDB_R1_B);
	m_animace_black[1][4]->LoadBitmap(IDB_R2_B);
	m_animace_black[1][5]->LoadBitmap(IDB_R3_B);
	m_animace_black[1][6]->LoadBitmap(IDB_R4_B);
	m_animace_black[1][7]->LoadBitmap(IDB_R5_B);
	m_animace_black[1][8]->LoadBitmap(IDB_R6_B);
	m_animace_black[1][9]->LoadBitmap(IDB_R7_B);
	m_animace_black[1][10]->LoadBitmap(IDB_W8_B);

	
	
	m_pUfo = m_animace[0][0];
	m_pUfo_black = m_animace_black[0][0];

	for(i = 0; i < 6; i++) {
	m_pUfo_shoot[0][i] = new CBitmap;
	m_pUfo_shoot[1][i] = new CBitmap;
	}
	m_pUfo_shoot[0][0]->LoadBitmap(IDB_STRELA2_2);
	m_pUfo_shoot[0][1]->LoadBitmap(IDB_STRELA2_BLACK_2);
	m_pUfo_shoot[1][0]->LoadBitmap(IDB_STRELA2);
	m_pUfo_shoot[1][1]->LoadBitmap(IDB_STRELA2_BLACK);

	m_pUfo_shoot[0][2]->LoadBitmap(IDB_STRELA2_UP);
	m_pUfo_shoot[0][3]->LoadBitmap(IDB_STRELA2_UP_B);
	m_pUfo_shoot[1][2]->LoadBitmap(IDB_STRELA2_UP);
	m_pUfo_shoot[1][3]->LoadBitmap(IDB_STRELA2_UP_B);

	m_pUfo_shoot[0][4]->LoadBitmap(IDB_STRELA2_DN);
	m_pUfo_shoot[0][5]->LoadBitmap(IDB_STRELA2_DN_B);
	m_pUfo_shoot[1][4]->LoadBitmap(IDB_STRELA2_DN);
	m_pUfo_shoot[1][5]->LoadBitmap(IDB_STRELA2_DN_B);


	// zasahy
	for (i = 0; i < 3; i++) {
		m_hit[0][i] = new CBitmap;
		m_hit[1][i] = new CBitmap;
	}
	m_hit[0][0]->LoadBitmap(IDB_UFO2_H0);
	m_hit[1][0]->LoadBitmap(IDB_UFO2_H0_2);
	m_hit[0][1]->LoadBitmap(IDB_UFO2_H1);
	m_hit[1][1]->LoadBitmap(IDB_UFO2_H1_2);
	m_hit[0][2]->LoadBitmap(IDB_UFO2_H2);
	m_hit[1][2]->LoadBitmap(IDB_UFO2_H2_2);


	for (i = 0; i < 5; i++) strely[i].place.x = -20;
	speed_shoot = -SHOOT_SPEED;

}

Ufo2::~Ufo2() {
	for(int i = 0;i < 12; i++){
		delete m_animace[0][i];
		delete m_animace[1][i];
		delete m_animace_black[0][i];
		delete m_animace_black[1][i];
	}

	for(i = 0; i < 6; i++) {
	delete m_pUfo_shoot[0][i];
	delete m_pUfo_shoot[1][i];
	}

	for (i = 0; i < 3; i++) {
		delete m_hit[0][i];
		delete m_hit[1][i];
	}

	if(automat == true) AfxGetApp()->WriteProfileInt("Hra","PL2",1);
	else AfxGetApp()->WriteProfileInt("Hra","PL2",0);

}



void Ufo2::Reset()
{
	lives = LIVES;
	
	p_ufo.x = 455;
	p_ufo.y = 455;

	p_dest.x = 436;
	p_dest.y = 280;

	for (int i = 0; i < 5; i++) { 
		strely[i].place.x = INVALIDE_X_POINT;
		strely[i].place.y = 0;
	};

	m_pUfo = m_animace[0][0];
	m_pUfo_black = m_animace_black[0][0];
	
	moved = false;

	auto_shoot = SHOOT_TIME;
}

void Ufo::Init(CDC *pDC)
{
	vlozit = new CBitmap;
	vlozit->CreateCompatibleBitmap(pDC,MAX_BMPX,MAX_BMPY);
	for(int i = 0; i < 5; i++)	strely[i].place.x = INVALIDE_X_POINT;
}

void Ufo::Test(Ufo *pl2, int an)
{
	int i;

	for (i = 0; i < 5; i++) {
		if((abs(strely[i].place.x - pl2->p_ufo.x) <= BMPX/2+strely[i].bmpx) &&
			(abs(strely[i].place.y - pl2->p_ufo.y) <= BMPY/2+strely[i].bmpy)) {
			if (pl2->lives > 0) {
				pl2->lives -= strely[i].demage_x -abs(strely[i].place.x - pl2->p_ufo.x) + strely[i].demage_y - abs(strely[i].place.y - pl2->p_ufo.y);
				if (pl2->lives < 0) pl2->lives = 0;
				// Predelani bitmapy - se zasahem 
				pl2->m_pUfo = pl2->m_hit[an][Nahoda(3)];
			}
			strely[i].place.x = INVALIDE_X_POINT; // zneplatneni strely
		}
		if ((lives <= -50)||(strely[i].place.y <= HLADINA_NAHORE)||(strely[i].place.y >= HLADINA_ZAKLADEN)
			||(strely[i].place_old.x >= PLOCHAX+strely[i].bmpx)||(strely[i].place_old.x <= -strely[i].bmpx)) {
			strely[i].place.x = INVALIDE_X_POINT; // zneplatneni strely
		}
	}
}

Ufo::~Ufo() {
	delete vlozit;
}

//*********************** METEOR

Meteor::Meteor()
{
	int i;
	color_ex = 8;
	black_ex = 8;

	for (i = 0; i < 9; i++){
		anim[i] = new CBitmap;
		anim_b[i] = new CBitmap;
	}
	anim[0]->LoadBitmap(IDB_METEOR0);
	anim[1]->LoadBitmap(IDB_METEOR0);
	anim[2]->LoadBitmap(IDB_METEOR0);
	anim[3]->LoadBitmap(IDB_METEOR0);
	anim[4]->LoadBitmap(IDB_METEOR0);
	anim[5]->LoadBitmap(IDB_METEOR_H0);
	anim[6]->LoadBitmap(IDB_METEOR_H1);
	anim[7]->LoadBitmap(IDB_METEOR_H2);
	anim[8]->LoadBitmap(IDB_METEOR_EX);
	

	anim_b[0]->LoadBitmap(IDB_METEOR0_B);
	anim_b[1]->LoadBitmap(IDB_METEOR0_B);
	anim_b[2]->LoadBitmap(IDB_METEOR0_B);
	anim_b[3]->LoadBitmap(IDB_METEOR0_B);
	anim_b[4]->LoadBitmap(IDB_METEOR0_B);
	anim_b[5]->LoadBitmap(IDB_METEOR0_B);
	anim_b[6]->LoadBitmap(IDB_METEOR0_B);
	anim_b[7]->LoadBitmap(IDB_METEOR0_B);
	anim_b[8]->LoadBitmap(IDB_METEOR0_B);

	Reset();
}

Meteor::~Meteor()
{
	int i;
	for (i = 0; i < 9; i++){
		delete anim[i];
		delete anim_b[i];
	}

}

void Meteor::Zobraz(CBitmap *Pozadi, RECT rect, CDC *pDC)
{
	CDC dc;
	static int j = 0;
	static int jj = 0; // zpozdeni animace

	if (stav == HIT) { j = 5 + Nahoda(3); jj = 0; }
	if (stav == EXPLODE) { j = 8; jj = 0; }


	dc.CreateCompatibleDC(pDC);

	CBitmap *p_dc = dc.SelectObject(anim_b[j]);
	pDC->BitBlt(place.x-bmpx/2,place.y-bmpy/2,bmpx,bmpy,&dc,0,0,SRCAND);
		
	dc.SelectObject(anim[j]);
	pDC->BitBlt(place.x-bmpx/2,place.y-bmpy/2,bmpx,bmpy,&dc,0,0,SRCPAINT);
		
	dc.SelectObject(p_dc);

	if (++jj%5 == 0) if(++j >= 1) j = 0;
	if (stav == EXPLODE) j = 0;
	stav = NORMAL;

}

void Meteor::Move()
{
	if((place.x > PLOCHAX+MT_X/2)||(place.x < -MT_X/2)||(place.y > HLADINA_ZAKLADEN)||(hits <= 0)) 
		Reset();
	else {
		place_old = place;
		place.x += speed_x;
		place.y += speed_y;
		if (place.y > HLADINA_ZAKLADEN) stav = EXPLODE;
	}
}

void Meteor::Reset()
{
	hits = MT_MAX_HITS;
	speed_x = Nahoda(2*SPEED_MT_X_MAX) - SPEED_MT_X_MAX;
	speed_y = Nahoda(SPEED_MT_Y_MAX) + 2;
	bmpx = MT_X;
	bmpy = MT_Y;
	demage_x = DEMAGE_X_MT;
	demage_y = DEMAGE_Y_MT;
	if (speed_x < 0) place.x = Nahoda(PLOCHAX/2) + PLOCHAX/2;
	else place.x = Nahoda(PLOCHAX/2);
	place.y = HLADINA_NAHORE+MT_Y/2;
	place_old = place;
	stav = NORMAL;
}

void Meteor::Test(Ufo *hrac, int an)
{
	int i;


	if((abs(place.x - hrac->p_ufo.x) <= BMPX/2+bmpx) &&
		(abs(place.y - hrac->p_ufo.y) <= BMPY/2+bmpy)) {
		if (hrac->lives > 0) {
			hrac->lives -= demage_x -abs(place.x - hrac->p_ufo.x) + demage_y - abs(place.y - hrac->p_ufo.y);
			if (hrac->lives < 0) hrac->lives = 0;
			// Predelani bitmapy - se zasahem 
			hrac->m_pUfo = hrac->m_hit[an][Nahoda(3)];
		}
		Reset(); // zneplatnei strely
	}
	
	for (i = 0; i < 5; i++)
		if((abs(place.x - hrac->strely[i].place.x) <= hrac->strely[i].bmpx/2+bmpx) &&
			(abs(place.y - hrac->strely[i].place.y) <= hrac->strely[i].bmpy/2+bmpy)) {
			hrac->strely[i].place.x = INVALIDE_X_POINT; // zneplatnei strely
			hits--;
			stav = HIT;
			if (hits == 0) stav = EXPLODE;
		}
	
}
